On Wed, Aug 5, 2015 at 10:43 PM, Guus Sliepen <g...@debian.org> wrote:
> Dear maintainers,
While i'm not a maintainer, i need to say the following:

>
> I packaged lensfun 0.3.1-0.1 and uploaded it to the DELAYED/14 queue. A
> diff is attached. Let me know if you want me to cancel the upload.
Lensfun has changed API without bumping API version with commit:
d767e4cc07f07f2050a2f959fb4c19f2fe1b84e6
v0.3.0 was the first release that contained this commit.

This causes e.g. following bug in darktable:
http://redmine.darktable.org/issues/10432

This has since been fixed by following LF commit:
83c80e6fb515b8ba75c7a0d298ff6bbe79561a63
but it happened after 0.3.1 has been released. There is currently no
released versions of lensfun with that fix.

Please bump lensfun API accordingly.
Please DO NOT upload new lensfun release without bumping API version
[and then, i guess, doing a transition]!

>
> --
> Met vriendelijke groet / with kind regards,
>       Guus Sliepen <g...@debian.org>
Roman.

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to